ONVIF::Analytics::Types::AudioEncoderConfiguration(3pm)

NAME
ONVIF::Analytics::Types::AudioEncoderConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType AudioEncoderConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Encoding

•   Bitrate

•   SampleRate

•   Multicast

•   SessionTimeout

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::AudioEncoderConfiguration
   Encoding => $some_value, # AudioEncoding
   Bitrate =>  $some_value, # int
   SampleRate =>  $some_value, # int
   Multicast =>  { # ONVIF::Analytics::Types::MulticastConfiguration
     Address =>  { # ONVIF::Analytics::Types::IPAddress
       Type => $some_value, # IPType
       IPv4Address => $some_value, # IPv4Address
       IPv6Address => $some_value, # IPv6Address
     },
     Port =>  $some_value, # int
     TTL =>  $some_value, # int
     AutoStart =>  $some_value, # boolean
   },
   SessionTimeout =>  $some_value, # duration
 },

AUTHOR
Generated by SOAP::WSDL